package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.AimGroupInfo;


/**
*  service接口类
*/
public interface AimGroupInfoService{

    List<AimGroupInfo> getAimGroupInfoList(AimGroupInfo record);

    List<AimGroupInfo> getAimGroupInfoByPage(Page page, AimGroupInfo record);

    AimGroupInfo getAimGroupInfoById(String id);

    AimGroupInfo getAimGroupInfo(AimGroupInfo record);

    boolean createAimGroupInfo(AimGroupInfo record);

    boolean deleteAimGroupInfo(AimGroupInfo record);

    boolean updateAimGroupInfo(AimGroupInfo record);
}

